package com.ruoyi.reportpub.service;

import java.util.List;

import com.ruoyi.reportpub.domain.DPatentPubInfo;
import com.ruoyi.system.domain.DFixAddressArea;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 专利公开数据Service接口
 *
 * @author ruoyi
 * @date 2023-03-31
 */
public interface IDPatentPubInfoService extends IService<DPatentPubInfo> {
    /**
     * 查询专利公开数据列表
     *
     * @param dPatentPubInfo 专利公开数据
     * @return 专利公开数据集合
     * @date 2023-03-31
     */
    List<DPatentPubInfo> queryList(DPatentPubInfo dPatentPubInfo);

    DPatentPubInfo queryByPid(String pid,boolean useCache);
    DPatentPubInfo queryByPidFromCache(String pubId);
    DPatentPubInfo queryByAppNumber(String appNumber2,boolean useCache);
    void loadToCacheWidthPid();
    void clearData();
//    void loadToCache();
    List<DPatentPubInfo> queryByAddress(String address);
    List<DPatentPubInfo> queryByCownerAddress(String address);
    String getKeyByAppNumber(String appNumber2);

    DFixAddressArea matchByAddress(String address, String cityName);
}
